Subject: Re: Moving Towards UTF8 vs ASCII(ACE) Forever

From: Graham Klyne <[email-masked]>
Date: Mon, 01 Apr 2002 22:18:46 +0100

At 11:31 AM 3/31/02 -0500, Donald Eastlake 3rd wrote:
>There is now a standard way to encode URIs containing arbitrary UNICODE
>characters. This is described in RFC 3275 (which is currently a Draft
>Standard), in Section 4.3.3.1, and in the corresponding W3C document and
>has appeared in other W3C documents, for exampe XML Base.

It would appear that "RFC3275" is a "Googlewhack" ;-)

(Not for long, methinks.)

#g

-------------------
Graham Klyne
<[email-masked]>

---

From: [email-masked] (Claus Färber)
Date: 11 Apr 2002 01:34:00 +0200

Donald Eastlake 3rd <[email-masked]> schrieb/wrote:
> Standard), in Section 4.3.3.1, ...

This document does not tell you how to encode hostnames, i.e.  
whether the ACE version or the Unicode version is considered the  
"true" hostname for URIs.

If you want DNS i18n to work with leagacy URI-handling software,  
you must use the ACE version to build your URIs.

Claus
-- 
------------------------ http://www.faerber.muc.de/ ------------------------
OpenPGP: DSS 1024/639680F0 E7A8 AADB 6C8A 2450 67EA AF68 48A5 0E63 6396 80F0